## grendel.dnd
Class DropTargetEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--grendel.dnd.DropTargetEvent

Direct Known Subclasses:
  DropTargetDragEvent, DropTargetDropEvent

public abstract class DropTargetEvent
extends java.util.EventObject

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropTargetEvent(java.lang.Object aSource, DropTargetContext context, java.awt.Point cursor, int actions)`

Method Summary
`DropTargetContext` | `getDropTargetContext()`
`int` | `getSourceActions()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropTargetEvent

    public DropTargetEvent(java.lang.Object aSource,
                           DropTargetContext context,
                           java.awt.Point cursor,
                           int actions)

Method Detail

### getDropTargetContext

    public DropTargetContext getDropTargetContext()

### getSourceActions

    public int getSourceActions()